.. _str: https://docs.python.org/2/library/stdtypes.html

.. _vim.fault.InvalidState: ../../vim/fault/InvalidState.rst


vim.fault.InvalidDatastoreState
===============================
    :extends:

        `vim.fault.InvalidState`_

  The datastore is in an invalid state (e.g., maintenance mode) for a given operation.

Attributes:

    datastoreName (`str`_): is optional.




